post
https://sandbox-api-gtw.softpoint.io/api/locations//transactions/authorize
This API endpoint is used to process an authorize transaction providing the full card information.
Request Headers
| Header | Type | Required | Description |
|---|---|---|---|
| Authorization | String | Yes | Bearer {access_token} |
| Content-Type | String | Yes | application/json |
Request Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| user_id | String | Yes | User ID |
| guest_id | String | No | Guest ID |
| currency_iso | String | No | Currency |
| country_iso | String | No | Country Code |
| phone_number | String | No | Phone Number |
| orderid | String | No | Order ID |
| amount | Numeric | No | Amount |
| card_data | Object | Yes | Card data |
| billing_address | Object | No | Billing Address |
| order | Object | No | Order Details |
| reconciliation_id | String | No | Reconciliation identifier for transaction tracking |
| inv_number | String | No | Invoice number associated with the transaction |
| loc_processor_code | String | No | ISO 3166-1 alpha-2 country code identifying the processor to use when an account has multiple processors configured. Examples: us = United States processor, ca = Canada processor. |
Object Type Parameters
card_data
card_data| Field | Type | Required | Description |
|---|---|---|---|
| card_type | String | Yes | Visa, Mastercard, Amex |
| token | String | When card number is not present | Card Token |
| pan | String | When card token is not present | Card Number |
| sad | String | When card token is not present | CVV |
| exp_month | String | When card token is not present | Card Expiry Month |
| exp_year | String | When card token is not present | Card Expiry Year |
| card_holder | String | No | Card Holder Name |
billing_address
billing_address| Field | Type | Required | Description |
|---|---|---|---|
| street | String | No | Street |
| street2 | String | No | Street 2 |
| zip | String | No | Zipcode |
| state | String | No | State |
| city | String | No | City |
| country_iso | String | No | Country |
order
order| Field | Type | Required | Description |
|---|---|---|---|
| street | String | No | Street |
| street2 | String | No | Street 2 |
| zip | String | No | Zipcode |
| state | String | No | State |
| city | String | No | City |
| country_iso | String | No | Country |
Customer
| Field | Type | Required | Description |
|---|---|---|---|
| customer_name | String | No | Name of the customer or guest for the transaction. |
| customer_email | String | No | Email of the customer or guest for the transaction. |

